Bug 807077 - Plugin "Keyboard Layouts" unexpectedly left the panel, do you want to restart it?
Plugin "Keyboard Layouts" unexpectedly left the panel, do you want to restart...
Status: CLOSED DUPLICATE of bug 807152
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
15
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 19:45 EDT by nomnex
Modified: 2013-05-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xfce4-panel-setting (40.53 KB, image/png)
2012-03-26 19:46 EDT, nomnex
no flags Details
xkb-plugin- (146 bytes, application/octet-stream)
2012-03-27 03:34 EDT, nomnex
no flags Details
keyboard-layout (391 bytes, application/octet-stream)
2012-03-27 03:35 EDT, nomnex
no flags Details
message window print-screen (29.91 KB, image/png)
2012-03-27 06:42 EDT, nomnex
no flags Details

  None (edit)
Description nomnex 2012-03-26 19:45:42 EDT
Description of problem:

The plug-in has no ability to keep the settings when I change the session. I have set the keyboard layout to JP (default) and French (Canada).

I set the plug-in with the same setting.

Anytime I log-in, I am greeted with the message in the bug summary: "Plugin "Keyboard Layouts" unexpectedly left the panel, do you want to restart it?"

If i attempt to restart it, then the plug-in crashes, see bug: https://bugzilla.redhat.com/show_bug.cgi?id=730597

Version-Release number of selected component (if applicable):

xfce4-xkb-plugin 0.5.4.1-1.fc15

How reproducible: Always


Steps to Reproduce:
1. Set keyboard layout & plug-in
2. Log out/in
3. Error message
  
Note:
See print-screen attached, there must be something wrong with the plug-in and French (Canada). Removing the configuration file in my profile did not help.
Comment 1 nomnex 2012-03-26 19:46:36 EDT
Created attachment 572891 [details]
xfce4-panel-setting
Comment 2 Christoph Wickert 2012-03-27 02:51:39 EDT
(In reply to comment #0)
> The plug-in has no ability to keep the settings when I change the session.

What settings exactly did you loose? Only the active keyboard or anything else?

> I have set the keyboard layout to JP (default) and French (Canada).

Instead of a screenshot, please attach the configuration files. This is .config/xfce4/panel/xkb-plugin-*.rc for the plugin and .config/xfce4/xfconf/xfce-perchannel-xml/keyboard-layout.xml

> Anytime I log-in, I am greeted with the message in the bug summary: "Plugin
> "Keyboard Layouts" unexpectedly left the panel, do you want to restart it?"
> 
> If i attempt to restart it, then the plug-in crashes, see bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=730597

Please get us a backtrace of the plugin, not the panel as described in http://wiki.xfce.org/howto/panel_plugin_debug#debug_with_gdb_short_example
Comment 3 nomnex 2012-03-27 03:29:38 EDT
It's probably a bug duplicate. nevertheless, I relate the workaround on another bug tracker about the same issue. It seems to work.

a. set the keyboard to default.
b. set the different keyboard layouts in the plug-in only.
(c. if present, remove the keyboard-layout.xml)

No plug-in crash ever since.

I used to set the keyboard and the plug-in with the same keyboard layouts, and there must be a conflict between:

/.config/xfce4/panel/xkb-plugin-nn
and
/.config/xfce4/xfconf/xfce-perchannel-xml/keyboard-layout.xml
Comment 4 nomnex 2012-03-27 03:34:01 EDT
Created attachment 572955 [details]
xkb-plugin-
Comment 5 nomnex 2012-03-27 03:35:03 EDT
Created attachment 572956 [details]
keyboard-layout
Comment 6 nomnex 2012-03-27 03:57:19 EDT
(In reply to comment #2)

> > Anytime I log-in, I am greeted with the message in the bug summary: "Plugin
> > "Keyboard Layouts" unexpectedly left the panel, do you want to restart it?"
> > 
> > If i attempt to restart it, then the plug-in crashes, see bug:
> > https://bugzilla.redhat.com/show_bug.cgi?id=730597
> 
> Please get us a backtrace of the plugin, not the panel as described in
> http://wiki.xfce.org/howto/panel_plugin_debug#debug_with_gdb_short_example

I have a few ABRT reports about the issue, but I was missing some debugging packages since I use xfce components. I have downloaded them now, and completed the report procedure, here is the automatically generated link: Status: NEW https://bugzilla.redhat.com/show_bug.cgi?id=807152

Does it provides the necessary information?

As for comment 3, not using the "keyboard-layout.xml" fixed the problem (so far).
Comment 7 nomnex 2012-03-27 04:05:07 EDT
(In reply to comment #2)
> (In reply to comment #0)
> > The plug-in has no ability to keep the settings when I change the session.
> 
> What settings exactly did you loose? Only the active keyboard or anything else?

I forgot your first question:

a. I add the xkb-plugin in the panel.
b. I log-out
c. after I log-in back, the panel appears without the xkb-plugin, and there is a large error message window in the center of the screen with the text in the bug summary, plus some more text (something like "you have 60 seconds"...), and 2 clickable options "Remove the plug-in" "Restart the plug-in".

If I click "Remove the plug-in" nothing happens. 
If I click "Restart the plug-in", the plug-in crash and an ABRT report is generated.
Comment 8 nomnex 2012-03-27 06:42:06 EDT
Created attachment 573012 [details]
message window print-screen

The xkb-plugin just quit the panel, while I was writing a report. This time it is not after a system restart or log-in, but during the current session.

I took a print-screen of the message window.

Although the plug-in is not in the panel anymore, when I click Execute, it will crash.

Unless it's a one time happening, the workaround in #comment 3 was short lived.
Comment 9 Fedora End Of Life 2012-08-07 15:49:11 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Christoph Wickert 2013-05-18 12:41:12 EDT

*** This bug has been marked as a duplicate of bug 807152 ***

Note You need to log in before you can comment on or make changes to this bug.